# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define short_version 0.8

Name:           identicurse
Version:        0.8.2
Release:        alt1_6
Summary:        Curses based Status.net client

Group:          Networking/WWW
License:        GPLv3+
URL:            http://identicurse.net/
Source0:        http://identicurse.net/release/%{short_version}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel python-module-setuptools help2man
Source44: import.info

%description
A simple but powerful Identi.ca client with a curses-based UI.


%prep
%setup -q -n %{name}-%{short_version}


%build
%{__python} setup.py build
# We should use the pre-packaged version...
rm -rf build/lib/oauth/
# Statusnet is not it's own module (yet)
mv build/lib/statusnet/ build/lib/identicurse/


%install
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT
mv $RPM_BUILD_ROOT/%{_usr}/%{name}/* $RPM_BUILD_ROOT/%{python_sitelibdir_noarch}/%{name}/

# Install the manpage
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1/
pushd $RPM_BUILD_ROOT/%{python_sitelibdir_noarch}/%{name} && help2man -n %{name} --no-info --version-string=%{version} --no-discard-stderr "python __init__.py" | sed -e "s|__init__.py|identicurse|g" | sed -e "s|__INIT__.PY|IDENTICURSE|g" | sed -e "s|PYTHON||"| sed -e "s|python identicurse|identicurse|g" > $RPM_BUILD_ROOT/%{_mandir}/man1/%{name}.1  && popd


%files
%doc CHANGELOG INSTALL LICENSE README conf/config.json
# For noarch packages: sitelib
%{python_sitelibdir_noarch}/%{name}/
%{python_sitelibdir_noarch}/%{name}-*.egg-info/
%{_bindir}/identicurse
%{_mandir}/man1/%{name}.1*


%changelog
* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.8.2-alt1_6
- update to new release by fcimport

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.8.2-alt1_5
- update to new release by fcimport

* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 0.8.2-alt1_4
- update to new release by fcimport

* Mon Jan 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.8.2-alt1_3
- initial fc import

